<template>
	<div class="h-screen w-full m-auto text-center flex flex-col justify-center items-center">
		<LogoImage imgSize="2x" addClass="mx-auto mb-12 h-14" />
		<p class="font-semibold text-base">
			Silakan tekan tombol untuk mengambil nomor antrean Anda
		</p>
		<button
			@click="takeQueue" 
			class="text-xl rounded-sm font-bold py-8 px-12 mt-10 bg-shades-orange-light"
		>
			Ambil Antrian
		</button>
	</div>
</template>

<script>
import LogoImage from "../../components/LogoImage.vue";

export default {
	name: "TakeQueue",
	components: {
		LogoImage,
	},
	methods: {
		takeQueue() {
			console.log("Ambil Antrian");
			this.$router.push({ name: "Queue System" })
		}
	}
};
</script>

<style>
</style>